function validateDeviceGroup(form)
{
    if( ! iseditview )
    {  
        if(!isAlphaNumericDotDash(form.DEVICE_GROUP_NAME.value,form.DEVICE_GROUP_NAME))//form.DEVICE_GROUP_NAME.value.length == 0)
        {
            alert(I18N.getMsg("js.devicegroup.validateDeviceGroup.alert.1"));
            form.DEVICE_GROUP_NAME.focus();
            return false;
        }
        var name = form.DEVICE_GROUP_NAME.value;
        var newDeviceGroupName = trimAll(name);
        var namesLen = deviceGroupRowName.length;
        for(var j=0;j<namesLen;j++)
        {
            if(deviceGroupRowName[j].toLowerCase() == newDeviceGroupName.toLowerCase())
            {
                alert(I18N.getMsg("js.devicegroup.validateDeviceGroup.alert.2"));
                return false;
            }
        }
    }
    return criteriaChooserValidation(form);
}

function showFilterCriteria(value)
{
	var showFilterObj = document.getElementById("SHOW_FILTER_CRITERIA");
	var hideFilterObj = document.getElementById("HIDE_FILTER_CRITERIA");
	
	if(value)
	{
		showFilterObj.className = "";
		hideFilterObj.className = "hide";
	}
	else
	{
		showFilterObj.className = "hide";
		hideFilterObj.className = "";	
	}
}

function deleteDeviceGroup(menuItemName,refId,additionalParams,index)
{
   var tblModel = getTableModel(refId);
   var selIndices = (index == null)? tblModel.getSelectedRowIndices(refId):[index];
   if(selIndices.length == 0)
   {
      alert(I18N.getMsg("js.devicegroup.deleteDeviceGroup.alert.1"));
      return;
   }

   var colInd1  = tblModel.getColumnIndex("DEVICE_GROUP_NAME");
   for(var i = 0; i < selIndices.length; i++)
   {
      if(tblModel.getValueAt(selIndices[i],colInd1) == "All Devices Group" )
      {                                       
          alert(I18N.getMsg("js.devicegroup.editDeviceGroup.alert.1"));
          return;
       }
   } 

   var colInd2 = tblModel.getColumnIndex("GLOBAL_GROUP");
   for(var i = 0; i < selIndices.length; i++)
   {
      ispublicgroup = tblModel.getValueAt(selIndices[i],colInd2);      
      if(ispublicgroup == 'true')
      {
          if(isadmin == false) // This value is from DeviceGroupMainView.jsp
      	  {
      	      alert(I18N.getMsg("js.devicegroup.deleteDeviceGroup.alert.2"));
      	      return;
      	  }
      }
   } 

   var menuItemObj = getMenuItemObj(menuItemName);
   menuItemObj.invokeMenuAction(refId,additionalParams,index);
}

function addDeviceGroup(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    
    if(menuItemId == 'NCMDynamicDeviceGroupAdd')
        {
            var tblModel = getTableModel(srcViewRefId);
            var selIndices = (index == null)? tblModel.getSelectedRowIndices(srcViewRefId):[index];
            if(selIndices.length == 0)
            {
                alert(I18N.getMsg("js.devicegroup.createDeviceGroup.alert.1"));
                return;
            }  
        }
        showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.devicegroup.addDeviceGroup.title")+",width=700");
    
    }

function editDeviceGroup(menuItemId, srcViewRefId, additionalParams,index)
{
    var tblModel = getTableModel(srcViewRefId); 
    
    if(tblModel != null)
    {
        var colInd1  = tblModel.getColumnIndex("DEVICE_GROUP_NAME");
        if(tblModel.getValueAt(index,colInd1) == "All Devices Group" )
        {                                       
            alert(I18N.getMsg("js.devicegroup.editDeviceGroup.alert.1"));
            return;
        }
    }
    else if(devicegroupname == "All Devices Group")
    {
        alert(I18N.getMsg("js.devicegroup.editDeviceGroup.alert.1"));
        return;        
    }
    else if(globalgroup == true && !isadmin)
    {
        alert(I18N.getMsg("js.devicegroup.editDeviceGroup.alert.2"));
        return;
    }
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.devicegroup.editDeviceGroup.title")+",width=700");
}

function showPublicDGAlert(obj)
{
    if(obj.checked)
    {
	alert(I18N.getMsg("js.devicegroup.showPublicDGAlert.alert"));    
    }
}


